buttons = {}
--
function LOAD_BUTTONS()
	buttons["Start"] = {x = ScreenWidth/2-50, y = ScreenHeight/2-145, width = 100, height = 50, pic = img_btnStart, picClick = img_btnStart_click, click = false, event = false, state = 0}
	buttons["Exit"] = {x = ScreenWidth/2-50, y = ScreenHeight/2+90, width = 100, height = 50, pic = img_btnExit, picClick = img_btnExit_click, click = false, event = false, state = 0}
	buttons["Restart"] = {x = ScreenWidth/2-100, y = ScreenHeight/2+200, width = 100, height = 50, pic = img_btnRestart, picClick = img_btnRestart_click, click = false, event = false, state = 2}
	buttons["Back"] = {x = ScreenWidth/2+100, y = ScreenHeight/2+200, width = 100, height = 50, pic = img_btnBack, picClick = img_btnBack_click, click = false, event = false, state = 2}
end
--
function MENU_EVENTS()
	for k,v in pairs(buttons) do
		if v.event == true then

			--gamestate 0 (main menu)
			if k == "Start" then
				gamestate = -1
				GAME_RESTART()
				if #bullet > 0 then
					for k,v in pairs(bullet) do
						table.remove(bullet, tonumber(k))
					end
				end
				killCount = 0
				startTime = love.timer.getTime()
			end
			
			if k == "Exit" then
				love.event.push('quit')
			end
			
			if k == "Restart" then
				gamestate = -1
				GAME_RESTART()
				if #bullet > 0 then
					for k,v in pairs(bullet) do
						table.remove(bullet, tonumber(k))
					end
				end
				killCount = 0
				startTime = love.timer.getTime()
			end
			
			if k == "Back" then
				gamestate = 0
			end

			v.event = false

		end
	end
end
--
function draw_deathScreen()
	g.setColor(255, 255, 255, 255)
	g.draw(bg_death, 0, 0)
	g.setColor(0, 252, 255, 255)
	g.setFont(technoFont)
	g.print(math.floor(endTime - startTime), 340, 115, 0, 4.4)
	g.print(killCount, 370, 403, 0, 4.4)
end
--
function DRAW_MENU()
	for k,v in pairs(buttons) do
		if v.state == gamestate then
			if v.click == false then
				g.draw(v.pic, v.x, v.y)
			else
				g.draw(v.picClick, v.x, v.y)
			end
		end
	end
end
--
function UPDATE_MENU(dt)
	MENU_EVENTS()
end
--
function MENU_MOUSEPRESSED(x, y, button)
	for k,v in pairs(buttons) do
		if x >= v.x and x <= v.x + v.width and y >= v.y and y <= v.y + v.height and button == "l" then
			v.click = true
		end
	end
end
--
function MENU_MOUSERELEASED(x, y, button)
	if button == "l" then
		for k,v in pairs(buttons) do
			if v.click == true and x >= v.x and x <= v.x + v.width and y >= v.y and y <= v.y + v.height and button == "l" then
				v.event = true
				v.click = false
			else
				v.click = false
			end
		end
	end
end