--
function LOAD_POWERUPS()
	powerup_health = {}
	powerup_nuke = {}
	healthTimer = love.timer.getTime()
	nukeTimer = love.timer.getTime()
end
--
function healthpickupSpawn(x, y)
	table.insert(powerup_health, {x = x, y = y, width = 16, height = 16})
end
--
function nukepickupSpawn(x, y)
	table.insert(powerup_nuke, {x = x, y = y, width = 16, height = 16})
end
--
function healthpickupDraw()
	for k,v in pairs(powerup_health) do
		g.draw(img_healthPickup, v.x, v.y)
	end
end
--
function nukepickupDraw() 
	for k,v in pairs(powerup_nuke) do
		g.draw(img_nukePickup, v.x, v.y)
	end
end
--
function nukepickupUpdate(dt)
	for k,v in pairs(powerup_nuke) do
		if player.x + player.width >= v.x and player.x <= v.x + v.width and player.y + player.width >= v.y and player.y <= v.y + v.height then

			local nukeCount = 0

			for _ in pairs(enemy) do
				nukeCount = nukeCount + 1
			end

			for kk,vv in ipairs(enemy) do
				table.remove(powerup_nuke, k)
				enemy = {}
				enemy.speed = 200
				enemy.friction = 0.4
				enemy.width = 20
				enemy.height = 20
				enemy.wave = 1
				table.insert(enemy, {x=math.random(0,1000)-500, y=math.random(0,1000)-500, xvel=0, yvel=0})
			end
			killCount = killCount + nukeCount
		end
	end
end
--
function healthpickupUpdate(dt)
	for k,v in pairs(powerup_health) do
		if player.x + player.width >= v.x and player.x <= v.x + v.width and player.y + player.width >= v.y and player.y <= v.y + v.height then
			if player.health < 90 then
				player.health = player.health + 10
				table.remove(powerup_health, k)
			else
				player.health = 100
				table.remove(powerup_health, k)
			end
		end
	end
end
--

--------------
---SPAWNING---
--------------
function powerupsSpawn(dt)
	if gamestate == -1 then
		if love.timer.getTime() - healthTimer >= 15 then
			if math.random(1,2) == 1 then
				healthpickupSpawn(math.random(0, 750), math.random(0, 550))
			end
			healthTimer = love.timer.getTime()
		end

		if love.timer.getTime() - nukeTimer >= 25 then
			if math.random(1,5) == 1 then
				nukepickupSpawn(math.random(0, 750), math.random(0, 550))
			end
			nukeTimer = love.timer.getTime()
		end
	end
end

function DRAW_POWERUPS()
	healthpickupDraw()
	nukepickupDraw() 
end

function UPDATE_POWERUPS(dt)
	healthpickupUpdate(dt)
	nukepickupUpdate(dt)
	powerupsSpawn(dt)
end